Bug 247712 - amarokFS crash on startup
amarokFS crash on startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: amarokFS (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Francois Aucamp
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 17:56 EDT by Riku Seppala
Modified: 2008-09-16 19:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
backtrace (3.36 KB, text/plain)
2007-07-10 17:56 EDT, Riku Seppala
no flags Details

  None (edit)
Description Riku Seppala 2007-07-10 17:56:42 EDT
Description of problem:

AmarokFS crash on startup.

Version-Release number of selected component (if applicable):
0.5


How reproducible:
Often.

Steps to Reproduce:
1. start amarokFS
2.
3.
  
Actual results:
crash

Expected results:
normal startup

Additional info:

I'm using kde from kde-redhat project.

I started amarokFS from console and it crashed:

Using skin: /usr/share/amarokFS/theme.xml
there was some error calling DCOP function trackTotalTime()
there was some error calling DCOP function trackCurrentTime()
there was some error calling DCOP function currentTime()
there was some error calling DCOP function totalTime()
there was some error calling DCOP function nowPlaying()
there was some error calling DCOP function title()
there was some error calling DCOP function artist()
there was some error calling DCOP function album()
there was some error calling DCOP function year()
there was some error calling DCOP function nowPlaying()
there was some error calling DCOP function nowPlaying()
New track:
there was some error calling DCOP function artist()
there was some error calling DCOP function album()
there was some error calling DCOP sql-query: select path from images where
artist='' and album=''
there was some error calling DCOP sql-query: select lastmountpoint from devices
where id=(select deviceid from images where artist='' and album='')
there was some error calling DCOP function coverImage()
there was some error calling DCOP function artist()
there was some error calling DCOP function album()
there was some error calling DCOP sql-query: select path from images where
artist='' and album=''
there was some error calling DCOP sql-query: select lastmountpoint from devices
where id=(select deviceid from images where artist='' and album='')
there was some error calling DCOP function coverImage()
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
KCrash: Application 'amarokFS' crashing...
Comment 1 Riku Seppala 2007-07-10 17:56:42 EDT
Created attachment 158896 [details]
backtrace
Comment 2 Francois Aucamp 2007-07-12 03:54:52 EDT
Hmm... this works fine for me (F7/i386, using standard Fedora KDE) - I really am
unable to recreate the crash. I'll try and find a FC6 box here and test it on
that. By the way, how often is "often" - does it work sometimes?

In the meantime, try starting amarok (not amarokFS) first, wait until it's
running, and then run amarokFS (from a terminal). Any
outputs/irregularities/crashes?

Thanks for the report!

/me goes of searching for a FC6/KDE-redhat box
Comment 3 Riku Seppala 2007-07-14 10:47:35 EDT
Now that I tried, if amarok is running it seems to work everytime.
When amarok wasn't already running and I started amarokFS, it crashed on second
try. Though I've tried several times after that now, and it worked everytime. So
not so often?

Only output is this and only when amarok isn't running:
there was some error calling DCOP function trackTotalTime()
...
That same thing from the first post.


BTW, http://www.kde-apps.org/content/show.php/Amarok+Full+Screen?content=52641
At least two other people seem to have similar (same?) problem...
Comment 4 Francois Aucamp 2007-07-16 03:14:50 EDT
Thanks for this - now we know it's a race condition, and we know more-or-less
what causes it - I'll get right on it.

(In reply to comment #3)
> BTW, http://www.kde-apps.org/content/show.php/Amarok+Full+Screen?content=52641
> At least two other people seem to have similar (same?) problem...

Oh, and thank you VERY much for reporting this via bugzilla - bug "reports" on
forums tend to go unnoticed... :-)
Comment 5 Francois Aucamp 2008-01-15 05:59:19 EST
This application does not support Qt4 or Amarok2 (Fedora 9 will be running KDE
4), and I currently am unable to spend enough time on it to port it and properly
maintain it; so I will be orphaning this package.
Comment 6 Francois Aucamp 2008-02-20 02:51:34 EST
Reopening this bug because amarokFS is still included in Fedora 9, due to
populare demand ;-) Please disregard comment #5; I'll continue to maintain this
package.
Comment 7 Francois Aucamp 2008-02-22 09:40:22 EST
I believe the rawhide update of this package fixed this issue; I'll move this
update to F-8 and F-7.

rel-eng, could you please create a CVS branch for Fedora 8 (the package was
never built explicitly for it)? Request in next comment.
Comment 8 Francois Aucamp 2008-02-22 09:41:15 EST
Package Change Request
======================
Package Name: amarokFS
New Branches: F-8
Comment 9 Kevin Fenzi 2008-02-22 12:55:24 EST
There should be an F-8 branch already. 

Make sure you call cvs update with '-d'. ie, 
'cvs update -d' 

Otherwise cvs will not pull in new directories. 
Comment 10 Fedora Update System 2008-02-26 08:24:51 EST
amarokFS-0.5-3.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-02-28 16:42:18 EST
amarokFS-0.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarokFS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2095
Comment 12 Bug Zapper 2008-04-04 03:27:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 15:42:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Fedora Update System 2008-09-16 19:29:05 EDT
amarokFS-0.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.